﻿using System.Collections.Generic;
using System.Windows;
using IEnumerable.UI.MyService;

namespace IEnumerable.UI
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ConcreteFetchButton_Click(object sender, RoutedEventArgs e)
        {
            List<Person> people;
            var proxy = new PersonServiceClient();
            people = proxy.GetPeople();

            PersonListBox.Items.Clear();
            foreach (var person in people)
                PersonListBox.Items.Add(person);
        }

        private void InterfaceFetchButton_Click(object sender, RoutedEventArgs e)
        {
            IEnumerable<Person> people;
            var proxy = new PersonServiceClient();
            people = proxy.GetPeople();

            PersonListBox.Items.Clear();
            foreach (var person in people)
                PersonListBox.Items.Add(person);
        }

        private void ClearButton_Click(object sender, RoutedEventArgs e)
        {
            PersonListBox.Items.Clear();
        }
    }
}
