﻿using System;

namespace Polygons.ConsoleApp
{
    public class AbstractTriangle : AbstractRegularPolygon
    {
        public AbstractTriangle(int sideLength) :
            base(3, sideLength) { }

        // Must implement GetArea since it is
        // abstract in the base class
        public override double GetArea()
        {
            return SideLength * SideLength * Math.Sqrt(3) / 4;
        }
    }
}
