﻿using System;

namespace Polygons.ConsoleApp
{
    public class InterfaceOctagon : IRegularPolygon
    {
        public InterfaceOctagon(int sideLength)
        {
            NumSides = 8;
            SideLength = sideLength;
        }

        // Must implement properties from
        // the interface
        public int NumSides { get; set; }
        public int SideLength { get; set; }

        // Must implement GetArea from
        // the interface
        public double GetArea()
        {
            return SideLength * SideLength * (2 + 2 * Math.Sqrt(2));
        }

        // Must implement GetPerimeter from
        // the interface
        public double GetPerimeter()
        {
            return SideLength * NumSides;
        }
    }
}
