﻿using System;

namespace Polygons.ConsoleApp
{
    class Program
    {
        static void Main(string[] args)
        {
            var square = new ConcreteSquare(5);
            Console.WriteLine("Concrete Square Area: {0}", square.GetArea());
            Console.WriteLine("Concrete Square Perimeter: {0}", square.GetPerimeter());
            Console.WriteLine();

            var triangle = new AbstractTriangle(5);
            Console.WriteLine("Abstract Triangle Area: {0}", triangle.GetArea());
            Console.WriteLine("Abstract Triangle Perimeter: {0}", triangle.GetPerimeter());
            Console.WriteLine();

            var octagon = new InterfaceOctagon(5);
            Console.WriteLine("Interface Octagon Area: {0}", octagon.GetArea());
            Console.WriteLine("Interface Octagon Perimeter: {0}", octagon.GetPerimeter());

            Console.Read();
        }
    }
}
