﻿
namespace Polygons
{
    public abstract class AbstractRegularPolygon
    {
        public int NumSides { get; set; }
        public int SideLength { get; set; }

        public abstract double GetArea();

        public double GetPerimeter()
        {
            return SideLength * NumSides;
        }

        public AbstractRegularPolygon(int numSides, int sideLength)
        {
            NumSides = numSides;
            SideLength = sideLength;
        }
    }
}
