﻿using System;

namespace Polygons
{
    public class ConcreteRegularPolygon
    {
        public int NumSides { get; set; }
        public int SideLength { get; set; }

        public virtual double GetArea()
        {
            throw new NotImplementedException();
        }

        public double GetPerimeter()
        {
            return SideLength * NumSides;
        }

        public ConcreteRegularPolygon(int numSides, int sideLength)
        {
            NumSides = numSides;
            SideLength = sideLength;
        }
    }
}
